﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls;

using Microsoft.SharePoint;

namespace PartialTrustDemo
{
    public class PartialTrustWebPart : Microsoft.SharePoint.WebPartPages.WebPart
    {
        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            Controls.Add(new Label() { Text = "My Partial Trust Web Part!" });

            // iterate the all properties collection and display it
            using (SPWeb currentSite = SPContext.Current.Web)
            {
                foreach(DictionaryEntry item in currentSite.AllProperties)
                {
                    Controls.Add(new Label() { Text = string.Format("{0}: {1}", item.Key, item.Value) });
                    Controls.Add(new Literal() { Text = "<br/>" });
                }
            }
        }
    }
}
